"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@angular/core");
var loading_spinner_service_1 = require("./loading-spinner.service");
var LoaderComponent = /** @class */ (function () {
    function LoaderComponent(loaderService) {
        this.loaderService = loaderService;
        this.show = false;
        this.clasicSpinnerImg = true;
        this.modernSpinnerImg = !this.clasicSpinnerImg;
    }
    LoaderComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.$subscription = this.loaderService.loaderState.subscribe(function (state) { return _this.show = state.show; });
    };
    LoaderComponent.prototype.ngOnDestroy = function () {
        this.$subscription.unsubscribe();
    };
    LoaderComponent = tslib_1.__decorate([
        core_1.Component({
            selector: 'loading-spinner',
            templateUrl: 'loading-spinner.component.html'
        }),
        tslib_1.__metadata("design:paramtypes", [loading_spinner_service_1.LoaderService])
    ], LoaderComponent);
    return LoaderComponent;
}());
exports.LoaderComponent = LoaderComponent;
//# sourceMappingURL=loading-spinner.component.js.map