import { OnInit, ElementRef, AfterViewInit } from "@angular/core";
import { ModalService } from "./modal.service";
import { ClipService } from "wcax-core-angular/clip.service";
import { RewardModel } from "../data.model";
export declare class ModalComponent implements OnInit, AfterViewInit {
    elementRef: ElementRef;
    private _modalService;
    private couponClipFn;
    modal: any;
    rewardsSelected: RewardModel[];
    constructor(elementRef: ElementRef, _modalService: ModalService, couponClipFn: ClipService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    clipReward(): void;
    private updateStatistics;
    neverShowBoxtop(): void;
    redirectToBoxtopPage(): void;
    getSelectedRewards(): void;
    private _isRegistered;
}
