import { AppConfigService } from 'wcax-core-angular/app.config.service';
import { ProductModel, SortModel, CouponModel } from '../data.model';
export declare class SortService {
    appConfigService: AppConfigService;
    private sorts;
    private available;
    private default;
    rules: any;
    private initRules;
    private isPromoMatch;
    constructor(appConfigService: AppConfigService);
    setAvailableSort(sort: any): void;
    getDefaultSort(): SortModel;
    getDefaultSortForConfigurableSort(defaultRule: any): SortModel;
    hasSort(): boolean;
    getSortByName(name: any): any;
    getSorts(): SortModel[];
    sort(sort: SortModel, data: ProductModel[]): ProductModel[];
    couponsSort(sort: SortModel, data: CouponModel[]): CouponModel[];
    generate(): void;
}
